Get data from captaindata companies employees
curl --request GET \
--url https://api.captaindata.com/v1/companies/{company_uid}/employees \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.captaindata.com/v1/companies/{company_uid}/employees"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.captaindata.com/v1/companies/{company_uid}/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uid": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"company_name": "<string>",
"job_title": "<string>",
"summary": "<string>",
"location": "<string>",
"profile_image_url": "<string>",
"li_profile_url": "<string>",
"li_profile_id": 123,
"sn_company_id": 123,
"tenure_start": "<string>",
"tenure_end": "<string>",
"tenure_length": "<string>",
"recently_hired": true,
"recently_promoted": true
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Companies
Find Company Employees
Retrieve a list of employees for a specific company using the company’s UID.
GET
/
companies
/
{company_uid}
/
employees
Get data from captaindata companies employees
1 credit per request · 1 credit per result · Credit costs
A full page of 25 results typically consumes 26 credits (1 + 25). Each extra page is another request.
This endpoint requires a valid company UID obtained from the Find Company or Search Companies endpoints.
The company_uid is Captain Data’s unique company identifier, which is compatible with the numerical LinkedIn company page ID (same as Sales Navigator ID). Note that the LinkedIn ID is immutable.
This endpoint allows you to search for the current company’s employees using Sales Navigator compatible filter queries.
query parameter.
Example: (keywords%3Aceo)
Not all Sales Navigator filters are compatible. Account-specific filters cannot be used.
X-Pagination-Next and X-Pagination-Previous headers may be included in
the response to provide full URLs for the next or previous pages. Always use
these URLs as-is — they contain the cursor needed for pagination. Cursors
expire after 24 hours; if expired, restart pagination from the beginning.Authorizations
Path Parameters
Pattern:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$|^\d+$Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
Required range:
25 <= x <= 25A Sales Navigator People search compliant query param. Please copy the entire value of the query parameter from your LinkedIn Sales Navigator search URL (everything after ?query=) and paste it here.
Example:
"(keywords:\"Software Engineer\")"
Response
Successful response